]> git.immae.eu Git - github/wallabag/wallabag.git/blame - scripts/require.sh
Added require.sh to check if composer is installed
[github/wallabag/wallabag.git] / scripts / require.sh
CommitLineData
9998c725
NL
1#! /usr/bin/env bash
2# File used to check dependencies
3
4if [ ! -f composer.phar ]; then
5 echo "composer.phar not found, we'll see if composer is installed globally."
6fi
7
8command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; }